import { RequireExactlyOne } from "type-fest";
export declare type Coordinate = number | string;
export declare type CoordinatePart = Coordinate | undefined;
export declare type CoorinatesArray = Readonly<[CoordinatePart, CoordinatePart]>;
export declare type CoorinatesString = string;
export declare type CoordinateLatitudeKeys = "latitude" | "lat";
export declare type CoordinateLongitudeKeys = "longitude" | "lng" | "lon" | "long";
export declare type CoorinatesObjectLatitude = {
    lat?: CoordinatePart;
    latitude?: CoordinatePart;
};
export declare type CoorinatesObjectLongitude = {
    lng?: CoordinatePart;
    lon?: CoordinatePart;
    long?: CoordinatePart;
    longitude?: CoordinatePart;
};
export declare type CoorinatesObject = RequireExactlyOne<CoorinatesObjectLatitude> & RequireExactlyOne<CoorinatesObjectLongitude> & {
    [key: string]: unknown;
};
